RUDOF(1)

NAME
rudof query - Run SPARQL queries

SYNOPSIS
rudof query [OPTIONS] --query <SPARQL query> [DATA]...

DESCRIPTION
Run SPARQL queries

  Arguments:

    [DATA]...

OPTIONS

-t, --data-format <RDF Data format>

    [default: turtle] [possible values: turtle, ntriples, rdfxml, trig, n3, nquads]

--reader-mode <RDF Reader mode>

    RDF Reader mode [default: strict] [possible values: lax, strict]

-q, --query <SPARQL query>

-e, --endpoint <Endpoint with RDF data>

-o, --output-file <Output file name, default = terminal>

-r, --result-format <Result query format>

    [default: internal] [possible values: internal]

-c, --config-file <Config file name>

    Config file path, if unset it assumes default config

--force-overwrite

-h, --help

    Print help